Debian Bug report logs - #376323
libgecko2.0-cil: Segfault when displaying Wikipedia login form

version graph

Package: libxul0d; Maintainer for libxul0d is (unknown);

Reported by: Chris Howie <cdhowie@nerdshack.com>

Date: Sun, 2 Jul 2006 03:03:01 UTC

Severity: normal

Tags: confirmed, fixed-upstream

Fixed in version 1.8.0.5-2

Done: Mike Hommey <mh@glandium.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.mozilla.org/show_bug.cgi?id=294075

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#376323; Package libgecko2.0-cil. Full text and rfc822 format available.

Acknowledgement sent to Chris Howie <cdhowie@nerdshack.com>:
New Bug report received and forwarded. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Howie <cdhowie@nerdshack.com>
To: submit@bugs.debian.org
Subject: libgecko2.0-cil: Segfault when displaying Wikipedia login form
Date: Sat, 01 Jul 2006 22:21:13 -0400
[Message part 1 (text/plain, inline)]
Package: libgecko2.0-cil
Version: 0.11-3

In a minimal sid environment, mono will segfault if a WebControl tries to
navigate to <http://en.wikipedia.org/wiki/Special:Userlogin>.  It does not
appear to be related to forms as p.d.o displays fine, as well as the Wikipedia
front page.

This may not surface if running in an environment that is not minimal; this is
running inside of a sid chroot with only these packages installed: mono
libmono1.0-cil libgtk2.0-cil libgecko2.0-cil vnc4server xfonts-base (maybe some
others required to get Xvnc working).

Test.cs: Test case.  It segfaults whether compiled outside of the chroot (on
etch) or inside (needed mono-mcs and pkg-config to compile inside).  Compiled
with `mcs -pkg:gtk-sharp-2.0 -pkg:gecko-sharp-2.0 Test.cs`

console.log: Console output example.  This may not always be the same from run
to run.

-- 
Chris Howie
http://www.chrishowie.com

-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GCS/IT d-(--) s:- a--->? C++(+++)$> UL++++ P++++$ L+++>++++ E---
W++ N o++ K? w--$ O M- V- PS--(---) PE++ Y+ PGP++ t+ 5? X-
R(+)>- tv-(--) b- DI+> D++ G>+++ e>++ h(--)>--- !r>+++ y->+++
------END GEEK CODE BLOCK------
[Test.cs (text/x-csharp, inline)]
using System;
using Gtk;
using Gecko;

public class Test {
	public static void Main() {
		Application.Init();

		Window w = new Window("foo");
		w.DeleteEvent += ondelete;

		WebControl g = new WebControl();
		w.Child = g;

		w.ShowAll();

		g.LoadUrl("http://en.wikipedia.org/wiki/Special:Userlogin");

		Application.Run();
	}

	private static void ondelete(object o, EventArgs e) {
		Application.Quit();
	}
}
[console.log (text/plain, inline)]
=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Stacktrace:

in (wrapper managed-to-native) Gtk.Application:gtk_main () <0x4>
in (wrapper managed-to-native) Gtk.Application:gtk_main () <0xffffffe7>
in Gtk.Application:Run () <0x7>
in Test:Main () <0xa8>
in (wrapper runtime-invoke) System.Object:runtime_invoke_void (object,intptr,intptr,intptr) <0xa3c327>

Native stacktrace:

	/usr/lib/libmono.so.0(mono_handle_native_sigsegv+0xeb) [0xb7db892b]
	/usr/lib/libmono.so.0 [0xb7d7970d]
	[0xffffe440]
	/usr/lib/libxul.so.0d [0xb6743457]
	/usr/lib/libxul.so.0d [0xb671e484]
	/usr/lib/libxul.so.0d [0xb5f4f40e]
	/usr/lib/libxul.so.0d [0xb5f8e2e5]
	/usr/lib/libxul.so.0d [0xb5f8fbfa]
	/usr/lib/libxul.so.0d(_Z14CallGetServicePKcRK4nsIDPPv+0x40) [0xb5f4cda0]
	/usr/lib/libxul.so.0d(_ZNK33nsGetServiceByContractIDWithErrorclERK4nsIDPPv+0x30) [0xb5f4cde0]
	/usr/lib/libxul.so.0d(_ZN13nsCOMPtr_base36assign_from_gs_contractid_with_errorERK33nsGetServiceByContractIDWithErrorRK4nsID+0x25) [0xb5f4c8c5]
	/usr/lib/libxul.so.0d(_Z29NS_CreateServicesFromCategoryPKcP11nsISupportsS0_+0x214) [0xb5f88884]
	/usr/lib/libxul.so.0d [0xb63ee7ca]
	/usr/lib/libxul.so.0d [0xb63cf53e]
	/usr/lib/libxul.so.0d [0xb6405159]
	/usr/lib/libxul.so.0d [0xb643ce05]
	/usr/lib/libxul.so.0d [0xb643f367]
	/usr/lib/libxul.so.0d [0xb643f4a6]
	/usr/lib/libxul.so.0d [0xb613a42a]
	/usr/lib/libxul.so.0d [0xb613de7f]
	/usr/lib/libxul.so.0d [0xb613e1b3]
	/usr/lib/libxul.so.0d [0xb613e6d2]
	/usr/lib/libxul.so.0d [0xb613b1c4]
	/usr/lib/libxul.so.0d [0xb61505c2]
	/usr/lib/libxul.so.0d [0xb615314a]
	/usr/lib/libxul.so.0d [0xb61522dc]
	/usr/lib/libxul.so.0d [0xb614f5d5]
	/usr/lib/libxul.so.0d [0xb6281a9e]
	/usr/lib/libxul.so.0d [0xb6281ae4]
	/usr/lib/libxul.so.0d [0xb6281f2f]
	/usr/lib/libxul.so.0d [0xb628214c]
	/usr/lib/libxul.so.0d [0xb6061d9a]
	/usr/lib/libxul.so.0d [0xb6074229]
	/usr/lib/libxul.so.0d [0xb6060904]
	/usr/lib/libxul.so.0d [0xb60c53fd]
	/usr/lib/libxul.so.0d [0xb6045616]
	/usr/lib/libxul.so.0d [0xb60460e8]
	/usr/lib/libxul.so.0d [0xb5f7f15c]
	/usr/lib/libxul.so.0d(PL_HandleEvent+0x27) [0xb5f939f7]
	/usr/lib/libxul.so.0d(PL_ProcessPendingEvents+0x59) [0xb5f93d09]
	/usr/lib/libxul.so.0d [0xb5f95b8e]
	/usr/lib/libxul.so.0d [0xb678f4a5]
	/usr/lib/libglib-2.0.so.0 [0xb7cfb7ef]
	/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x16c) [0xb7cd2e2c]
	/usr/lib/libglib-2.0.so.0 [0xb7cd6176]
	/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1b7) [0xb7cd6537]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xc1) [0xb6e5e4e1]
	[0xb7365d3f]
	[0xb7365d00]
	[0xb735b349]
	[0xb735a81e]
	/usr/lib/libmono.so.0 [0xb7d96b20]
	/usr/lib/libmono.so.0(mono_runtime_invoke+0x33) [0xb7dfb703]
	/usr/lib/libmono.so.0(mono_runtime_exec_main+0x6b) [0xb7dfe69b]
	/usr/lib/libmono.so.0(mono_runtime_run_main+0x18c) [0xb7e01c1c]
	/usr/lib/libmono.so.0(mono_jit_exec+0x8e) [0xb7da9d6e]
	/usr/lib/libmono.so.0(mono_main+0x94f) [0xb7daa77f]
	/lib/tls/libc.so.6(__libc_start_main+0xd0) [0xb7b33eb0]
	mono [0x8048471]
Aborted
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#376323; Package libgecko2.0-cil. Full text and rfc822 format available.

Acknowledgement sent to Chris Howie <cdhowie@nerdshack.com>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 376323@bugs.debian.org (full text, mbox):

From: Chris Howie <cdhowie@nerdshack.com>
To: 376323@bugs.debian.org
Subject: Related to #354022?
Date: Sat, 01 Jul 2006 23:32:22 -0400
[Message part 1 (text/plain, inline)]
The crash report in #354022 looks very similar to this one.  Maybe moving to
xulrunner is what caused this segfault?

-- 
Chris Howie
http://www.chrishowie.com

-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GCS/IT d-(--) s:- a--->? C++(+++)$> UL++++ P++++$ L+++>++++ E---
W++ N o++ K? w--$ O M- V- PS--(---) PE++ Y+ PGP++ t+ 5? X-
R(+)>- tv-(--) b- DI+> D++ G>+++ e>++ h(--)>--- !r>+++ y->+++
------END GEEK CODE BLOCK------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#376323; Package libgecko2.0-cil. Full text and rfc822 format available.

Acknowledgement sent to Chris Howie <cdhowie@nerdshack.com>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 376323@bugs.debian.org (full text, mbox):

From: Chris Howie <cdhowie@nerdshack.com>
To: 376323@bugs.debian.org
Subject: Testing too
Date: Sun, 02 Jul 2006 01:39:52 -0400
[Message part 1 (text/plain, inline)]
Since 0.11-3 moved into testing this happens on testing too.  This may be a bug
with libxul0d but I am not sure.

-- 
Chris Howie
http://www.chrishowie.com

-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GCS/IT d-(--) s:- a--->? C++(+++)$> UL++++ P++++$ L+++>++++ E---
W++ N o++ K? w--$ O M- V- PS--(---) PE++ Y+ PGP++ t+ 5? X-
R(+)>- tv-(--) b- DI+> D++ G>+++ e>++ h(--)>--- !r>+++ y->+++
------END GEEK CODE BLOCK------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#376323; Package libgecko2.0-cil. Full text and rfc822 format available.

Acknowledgement sent to Mirco Bauer <meebey@meebey.net>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 376323@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@meebey.net>
To: 376323@bugs.debian.org
Subject: confirmed
Date: Sun, 02 Jul 2006 12:15:49 +0200
[Message part 1 (text/plain, inline)]
tags 376323 + confirmed
thanks

I can reproduce this bug either gecko-sharp2 or xulrunner do something
wrong.

-- 
Regards,

Mirco 'meebey' Bauer

PGP-Key:
http://keyserver.noreply.org/pks/lookup?op=get&search=0xEEF946C8

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d s-:+ a-- C++ UL++++$ P L++$>+++$ E- W+++$ N o? K- w++>! O---- M-
V? PS
PE+ Y- PGP++ t 5+ X++ R tv+ b+ DI? D+ G>++ e h! r->++ y?
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed Request was from Mirco Bauer <meebey@meebey.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#376323; Package libgecko2.0-cil. Full text and rfc822 format available.

Acknowledgement sent to Chris Howie <cdhowie@nerdshack.com>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 376323@bugs.debian.org (full text, mbox):

From: Chris Howie <cdhowie@nerdshack.com>
To: 376323@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Moving to libxul0d
Date: Mon, 24 Jul 2006 17:30:30 -0400
[Message part 1 (text/plain, inline)]
reassign 376323 libxul0d
thanks

Based on the stack trace, this looks like a libxul0d bug; reassigning there.

-- 
Chris Howie
http://www.chrishowie.com

-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GCS/IT d-(--) s:- a-->? C++(+++)$> UL++++ P++++$ L+++>++++ E---
W++ N o++ K? w--$ O M- V- PS--(---) PE++ Y+ PGP++ t+ 5? X-
R(+)>- tv-(--) b- DI+> D++ G>+++ e>++ h(--)>--- !r>+++ y->+++
------END GEEK CODE BLOCK------

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package `libgecko2.0-cil' to `libxul0d'. Request was from Chris Howie <cdhowie@nerdshack.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Hommey <glandium@debian.org>:
Bug#376323; Package libxul0d. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Mike Hommey <glandium@debian.org>. Full text and rfc822 format available.

Message #34 received at 376323@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 376323@bugs.debian.org, 376323-submitter@bugs.debian.org
Subject: Please provide useful backtrace
Date: Wed, 26 Jul 2006 08:00:48 +0200
Could you install the libxul0d-dbg package before getting a backtrace
and attach the result in the bug, please ? That will be helpful to know
where the problem lies.

Mike



Message sent on to Chris Howie <cdhowie@nerdshack.com>:
Bug#376323. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Hommey <glandium@debian.org>:
Bug#376323; Package libxul0d. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Mike Hommey <glandium@debian.org>. Full text and rfc822 format available.

Message #42 received at 376323@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 376323@bugs.debian.org, 376323-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#376323: Please provide useful backtrace
Date: Thu, 27 Jul 2006 08:31:48 +0200
forwarded 376323 https://bugzilla.mozilla.org/show_bug.cgi?id=294075
thanks

On Wed, Jul 26, 2006 at 08:00:48AM +0200, Mike Hommey <mh@glandium.org> wrote:
> Could you install the libxul0d-dbg package before getting a backtrace
> and attach the result in the bug, please ? That will be helpful to know
> where the problem lies.

Okay I actually was able to get a useful backtrace myself and found the
bug to be described there:
https://bugzilla.mozilla.org/show_bug.cgi?id=294075

Mike



Noted your statement that Bug has been forwarded to https://bugzilla.mozilla.org/show_bug.cgi?id=294075. Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Chris Howie <cdhowie@nerdshack.com>:
Bug#376323. Full text and rfc822 format available.

Information stored:
Bug#376323; Package libxul0d. Full text and rfc822 format available.

Acknowledgement sent to Chris Howie <cdhowie@nerdshack.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #52 received at 376323-quiet@bugs.debian.org (full text, mbox):

From: Chris Howie <cdhowie@nerdshack.com>
To: Mike Hommey <mh@glandium.org>, 376323-quiet@bugs.debian.org
Subject: Re: Bug#376323: Please provide useful backtrace
Date: Thu, 27 Jul 2006 03:13:37 -0400
[Message part 1 (text/plain, inline)]
Mike Hommey wrote:
> Okay I actually was able to get a useful backtrace myself and found the
> bug to be described there:
> https://bugzilla.mozilla.org/show_bug.cgi?id=294075

Oh, cool.  Can the fix be incorporated into the Debian package for the time
being?  I have to hold libgecko2.0-cil on an old version to continue
development on my project, and this is blocking some newer packages (e.g.
monodevelop) from installing.

-- 
Chris Howie
http://www.chrishowie.com

-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GCS/IT d-(--) s:- a-->? C++(+++)$> UL++++ P++++$ L+++>++++ E---
W++ N o++ K? w--$ O M- V- PS--(---) PE++ Y+ PGP++ t+ 5? X-
R(+)>- tv-(--) b- DI+> D++ G>+++ e>++ h(--)>--- !r>+++ y->+++
------END GEEK CODE BLOCK------

[signature.asc (application/pgp-signature, attachment)]

Information stored:
Bug#376323; Package libxul0d. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #57 received at 376323-quiet@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Chris Howie <cdhowie@nerdshack.com>
Cc: 376323-quiet@bugs.debian.org
Subject: Re: Bug#376323: Please provide useful backtrace
Date: Thu, 27 Jul 2006 18:58:48 +0200
On Thu, Jul 27, 2006 at 03:13:37AM -0400, Chris Howie <cdhowie@nerdshack.com> wrote:
> Mike Hommey wrote:
> > Okay I actually was able to get a useful backtrace myself and found the
> > bug to be described there:
> > https://bugzilla.mozilla.org/show_bug.cgi?id=294075
> 
> Oh, cool.  Can the fix be incorporated into the Debian package for the time
> being?  I have to hold libgecko2.0-cil on an old version to continue
> development on my project, and this is blocking some newer packages (e.g.
> monodevelop) from installing.

It will be fixed in next upload. Though in the meanwhile, you probably
can workaround the problem by initiating a user profile (don't ask me, i
don't know how ;) i just know it's feasible).

Mike



Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Mike Hommey <mh@glandium.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris Howie <cdhowie@nerdshack.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #64 received at 376323-done@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 376323-done@bugs.debian.org
Subject: This bug has been fixed
Date: Wed, 23 Aug 2006 07:37:32 +0200
Version: 1.8.0.5-2

This bug has been fixed by upload of version 1.8.0.5-2.
The concerned change is the following:
  * debian/patches/01_passwdmgr_crash.dpatch: Avoid crash of the
    password manager when embedding applications don't set a profile
    directory. Patch from bz#294075. Closes: #367106.
                                              ^^^^^^
                                          Note the mistake here that is
                                          the reason why this bug hasn't
                                          been closed atomatically.

Cheers

Mike



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:01:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:52:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.